# Uses of Class
org.eclipse.mat.ui.util.PopupMenu

Packages that use PopupMenu
Package
Description
org.eclipse.mat.ui.actions
Actions from the editor tools bar (not API).
org.eclipse.mat.ui.internal.viewer
Allows filtering of the display of tables and trees, for example excluding certain class names - user interface (not API).
org.eclipse.mat.ui.util
Utility classes for toolbars, popup menu, searching on typing - user interface (not API).

## Uses of PopupMenu in org.eclipse.mat.ui.actions

Methods in org.eclipse.mat.ui.actions with parameters of type PopupMenu
Modifier and Type
Method
Description
`void`
QueryDropDownMenuAction.`contribute(PopupMenu menu)`
`void`
RunReportsDropDownAction.`contribute(PopupMenu menu)`

## Uses of PopupMenu in org.eclipse.mat.ui.internal.viewer

Methods in org.eclipse.mat.ui.internal.viewer with parameters of type PopupMenu
Modifier and Type
Method
Description
`void`
RefinedResultViewer.`addContextMenu(PopupMenu menu)`

## Uses of PopupMenu in org.eclipse.mat.ui.util

Methods in org.eclipse.mat.ui.util that return PopupMenu
Modifier and Type
Method
Description
`PopupMenu`
PopupMenu.`getChildMenu(String name)`
Methods in org.eclipse.mat.ui.util with parameters of type PopupMenu
Modifier and Type
Method
Description
`void`
PopupMenu.`add(PopupMenu menu)`
`final void`
QueryContextMenu.`addContextActions(PopupMenu manager, IStructuredSelection selection, Control control)`
`abstract void`
EasyToolBarDropDown.`contribute(PopupMenu menu)`